明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1113|回复: 1

[源码] 旋转视图,旋转视口,恢复视图

[复制链接]
发表于 2015-9-17 17:24 | 显示全部楼层 |阅读模式
本帖最后由 ucuc2003 于 2015-9-17 17:55 编辑

参考了自贡黄明儒的源码,感谢!
增加了记忆角度功能

;;;恢复视图 by ucuc2003
(defun C:HFST (/ ro_ang)
  (setvar "cmdecho" 0)
  (princ "恢复视图")
  (if (equal (getvar "TILEMODE") 1)
    (progn
      (command "_.undo" "_group")
      (command "_.Plan" "w" "_.ucs" "w")
      (command "_.undo" "_end")
    )
    (princ "\n*请切换到模型空间*")
  )
  (princ)
)
;;;恢复视图end

修改了下
;;;恢复视图 by ucuc2003
(defun C:HFST (/ ro_ang)
  (setvar "cmdecho" 0)
  (princ "恢复视图")
  (vl-load-com)
(setq  acadobject   (vlax-get-acad-object)
         acaddocument (vla-get-activedocument acadobject))
  (if (equal (getvar "TILEMODE") 1)
    (progn
      (command "_.undo" "_group")
      (command "_.Plan" "w" "_.ucs" "w")
      (command "_.undo" "_end")
    )
    (if (= (vla-get-mspace acaddocument) :vlax-false)
      (command "mspace" "_.Plan" "w" "_.ucs" "w")
      (command "_.Plan" "w" "_.ucs" "w")
    )
  )
  (princ)
)

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

评分

参与人数 2明经币 +2 收起 理由
USER2128 + 1 很给力!
lucas_3333 + 1 感谢分享,论坛有你们才更精彩!

查看全部评分

本帖被以下淘专辑推荐:

  • · 工具|主题: 71, 订阅: 3
发表于 2019-6-11 15:28 | 显示全部楼层
学习学习,谢谢分享
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-12-12 19:00 , Processed in 0.187532 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表